package org.seasar.jsf.template.impl.html;

import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlCommandButton;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.template.impl.AbstractUICommandBuilder;
import org.xml.sax.Attributes;

/**
 * @author higa
 *  
 */
public class HtmlCommandButtonBuilder extends AbstractUICommandBuilder {

	public HtmlCommandButtonBuilder(String namespaceURI, String localName,
			String qName, Attributes attributes) {

		super(namespaceURI, localName, qName, attributes);
		addCustomPropertyName(JsfConstants.TYPE_ATTR);
	}

	protected UIComponent createComponent() {
		HtmlCommandButton component = new HtmlCommandButton();
		component.setType(JsfConstants.SUBMIT_VALUE);
		return component;
	}
}